---
title: "Import template from DocuSign"
url: "https://docs.signnow.com/docs/template/operations/post-import-document-templates"
type: "endpoint"
section: "template"
slug: "template/operations/post-import-document-templates"
method: "POST"
path: "/import/document-templates"
operation_id: "post-import-document-templates"
authorization: "bearer"
---

# Import template from DocuSign

`POST /import/document-templates`

This endpoint allows API users to import a DocuSign template from a ZIP file to the user's account and get the ID of the new template.

**How to download a template from DocuSign as a zip file**

1. Log in to your DocuSign account and go to the **Templates** tab.
2. Select the template you’d like to download and click **Use** > **Download** next to it.
3. The template will be downloaded to your device in ZIP format.

*Note*: To download multiple DocuSign templates at once, select all the templates you need and click **More** > **Download** in the action panel above your templates.

## Authorization

bearer

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-type` | string | No | multipart/form-data |

## Form Data Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `file` | string | No | @your-file.zip |

## Responses

### 200

List of created document templates

**Example** (`Successful response`)

```json
[
  {
    "file_size": 12345,
    "document_id": "f320565688fb75a86ed20f3ac95abb05ce39c8eb",
    "document_name": "document name 1"
  },
  {
    "file_size": 12345,
    "document_id": "453533b08ff6e34249df7188f47c0d7885e32f2c",
    "document_name": "document name 2"
  },
  {
    "file_size": null,
    "document_id": null,
    "document_name": "document name 3",
    "processing_error": "Data does not contain valid json'"
  }
]
```

### 400

* Wrong, expired, or missing token.
* The request has no file, code 65536. Message: "Must upload one file".
* The file is larger than 50 MB, code 65580. Message: "File is too big."
* The file type is incorrect (must be a ZIP file containing JSON), code 65578. Message: "Wrong file type."
* Document dimensions couldn't be generated, code 21001101. Message: "PdfProcessor. Couldn't get dimensions".

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`No file in the request`)

```json
{
  "errors": [
    {
      "code": 65536,
      "message": "Must upload one file"
    }
  ]
}
```

**Example** (`File size more than 50 MB`)

```json
{
  "errors": [
    {
      "code": 65580,
      "message": "File is too big."
    }
  ]
}
```

**Example** (`Using the file with incorrect file type`)

```json
{
  "errors": [
    {
      "code": 65578,
      "message": "Invalid file type."
    }
  ]
}
```

**Example** (`Something wrong with generating document dimensions`)

```json
{
  "errors": [
    {
      "code": 21001101,
      "message": "PdfProcessor. Couldn't get dimensions"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/import/document-templates" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/template/operations/post-import-document-templates*
